%------------------------------------------------------------------
% Plots a 2D arrow with defined beggining coordinates, length,
% arrowhead height, arrowhead base, orientation, and color.
% This method is used to draw load symbols on 2D models.
% Input arguments:
%  x: beggining coordinate on the X axis
%  y: beggining coordinate on the Y axis
%  l: arrow length
%  h: arrowhead height
%  B: arrowhead base
%  ang: pointing direction (angle in radian with the horizontal
%       direction - counterclockwise) - 0 rad when pointing left
%  c: color (RGB vector)
function arrow2D(x,y,l,h,B,ang,c)
    b = B/2;
    
    cx = cos(ang);
    cy = sin(ang);
    
    % Draw body line
    X = [x, x + l * cx];
    Y = [y, y + l * cy];
    line(X, Y, 'Color', c);
    
    % Draw arrowhead
    triangle(x, y, h, B, ang, c);
end